Overview | Modules | Class Hierarchy | Classes | Members

# tlp::Vector Class Reference
[Basic]

`#include <Vector.h>`

Inherits tlp::Array< TYPE, SIZE >.

Inheritance diagram for tlp::Vector:

[legend]
Collaboration diagram for tlp::Vector:

[legend]
List of all members.

## Detailed Description

class for mathematical vector

Enables to create a Vector of TYPE (must be a numeric basic type) with a fixed size and provides Mathematical operation. Mathematical operators must be defined for TYPE. Out of bound accesses are only checked in debug mode.

Author:
  : David Auber auber@tulip-software.org

Version:
  0.0.1 24/01/2003

## Public Member Functions

- VECTOR (int v=0)
- VECTOR & operator *= (const TYPE &)
- VECTOR & operator *= (const VECTOR &)
- VECTOR & operator/= (const TYPE &)
- VECTOR & operator/= (const VECTOR &)
- VECTOR & operator+= (const TYPE &)
- VECTOR & operator+= (const VECTOR &)
- VECTOR & operator-= (const TYPE &)
- VECTOR & operator-= (const VECTOR &)
- VECTOR & operator^= (const VECTOR &)
- bool operator> (const VECTOR &) const
- bool operator< (const VECTOR &) const
- bool operator!= (const VECTOR &) const
- bool operator== (const VECTOR &) const
- VECTOR & fill (const TYPE &obj)
- TYPE norm () const
- TYPE dist (const VECTOR &) const
- TYPE dotProduct (const VECTOR &) const

## Member Function Documentation

TYPE tlp::Vector::dist | ( | const VECTOR & |  | ) | const`[inline]`

TYPE tlp::Vector::dotProduct | ( | const VECTOR & |  | ) | const`[inline]`

VECTOR& tlp::Vector::fill | ( | const TYPE & | obj | ) | `[inline]`

TYPE tlp::Vector::norm | ( |  | ) | const`[inline]`

VECTOR& tlp::Vector::operator *= | ( | const VECTOR & |  | ) | `[inline]`

VECTOR& tlp::Vector::operator *= | ( | const TYPE & |  | ) | `[inline]`

bool tlp::Vector::operator!= | ( | const VECTOR & |  | ) | const`[inline]`

VECTOR& tlp::Vector::operator+= | ( | const VECTOR & |  | ) | `[inline]`

VECTOR& tlp::Vector::operator+= | ( | const TYPE & |  | ) | `[inline]`

VECTOR& tlp::Vector::operator-= | ( | const VECTOR & |  | ) | `[inline]`

VECTOR& tlp::Vector::operator-= | ( | const TYPE & |  | ) | `[inline]`

VECTOR& tlp::Vector::operator/= | ( | const VECTOR & |  | ) | `[inline]`

VECTOR& tlp::Vector::operator/= | ( | const TYPE & |  | ) | `[inline]`

bool tlp::Vector::operator< | ( | const VECTOR & |  | ) | const`[inline]`

bool tlp::Vector::operator== | ( | const VECTOR & |  | ) | const`[inline]`

bool tlp::Vector::operator> | ( | const VECTOR & |  | ) | const`[inline]`

VECTOR& tlp::Vector::operator^= | ( | const VECTOR & |  | ) | `[inline]`

tlp::Vector::VECTOR | ( | int | v = `0` | ) | `[inline, explicit]`

Tulip Software by LaBRI Visualization Team 2001 - 2010